com.independentsoft.exchange

## Enum SyncItemsScope

- java.lang.Object
- - java.lang.Enum<SyncItemsScope>
  - - com.independentsoft.exchange.SyncItemsScope

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SyncItemsScope>

      public enum SyncItemsScope
      extends java.lang.Enum<SyncItemsScope>

  The Enum SyncItemsScope.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NONE`
    `NORMAL_AND_ASSOCIATED_ITEMS`
    `NORMAL_ITEMS`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SyncItemsScope` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SyncItemsScope[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NORMAL_ITEMS

          public static final SyncItemsScope NORMAL_ITEMS

    - #### NORMAL_AND_ASSOCIATED_ITEMS

          public static final SyncItemsScope NORMAL_AND_ASSOCIATED_ITEMS

    - #### NONE

          public static final SyncItemsScope NONE

  - ### Method Detail

    - #### values

          public static SyncItemsScope[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SyncItemsScope c : SyncItemsScope.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SyncItemsScope valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null